GNU bug report logs - #31304
Crashing when lots of document visible at once

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Brian Wagner <brian.at.mixer@HIDDEN>; Keywords: moreinfo; dated Sat, 28 Apr 2018 20:28:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
bug Marked as found in versions 25.3. Request was from Noam Postavsky <npostavs@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Added tag(s) moreinfo. Request was from Noam Postavsky <npostavs@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 31304 <at> debbugs.gnu.org:


Received: (at 31304) by debbugs.gnu.org; 28 May 2018 22:38:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon May 28 18:38:46 2018
Received: from localhost ([127.0.0.1]:52879 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1fNQmq-0005o4-CC
	for submit <at> debbugs.gnu.org; Mon, 28 May 2018 18:38:44 -0400
Received: from mail-io0-f176.google.com ([209.85.223.176]:41457)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <npostavs@HIDDEN>)
 id 1fNQmo-0005nl-WA; Mon, 28 May 2018 18:38:43 -0400
Received: by mail-io0-f176.google.com with SMTP id t5-v6so2877810ioa.8;
 Mon, 28 May 2018 15:38:42 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=LmfdEOhGry8yDyV1nxgKwS3GNzhiolVXyx8Ksnmsce8=;
 b=keUceb2NNKzdwSgrRAtG9N0LCSkrlgRuUdMcC6wgosH4PU3oHzaj74gg1zXBOzoUUB
 EvyVLi1EmpmsA8BrY4biVfgoBb6fzjvBWuSgmCoY4xLxXSpZn5yi6/zR5NjQQ8zv2TDd
 IE4yAli69eXwGWVlw1dFD5lVxnMUz8ViZ+SJBvNII9ALe013MWiCZ8wv/BTph9s9Cm2B
 BndNqDqj5xSNmMNbXAfUOSIMFQc7Zzw2OClZXx/JLhUJygkA8SOoZIh9PQszlY+Wae56
 Xxlmiz4o5zPA6EdXlSs1pT+oulUD+9ScTSv+I4zW3WR4dGBc/l29ZOlIIGlkFM3x9g/w
 qZQg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=LmfdEOhGry8yDyV1nxgKwS3GNzhiolVXyx8Ksnmsce8=;
 b=M14j9J76dTsZZs1XXAVGkPC5TIeVVSyp5CKHD/tDpuMisndvyeBht24Q+hF9lcDqPh
 y0iRs+dWF3YROBKGdIWIrv1pPuOlcB+40E48g8C7lfkx6jW22W7kn4Aya4w3wv090POV
 nxcMuSpyK0vXqhtJcj215LS38uN+iRarNicGZzJ71NPDhFf0+nayt6zHx6QSJxi+LKB4
 +qmD7hhwjovrkqZMV/MF8sUn+V8w4jL28Q07IAKcAbYxyHDS6EGx/52cnNKCI/SLDJ6E
 QL65tgbWnRdxsK0j/GkUoKaDJm4wCfzL1IS9OPOk59SUF7k/XEl8rICYLB5AtcQQYcHE
 2XUQ==
X-Gm-Message-State: ALKqPwf1Nj2qUPBbyv0uNRQZ5VTFPbzWTmuHqfb6x5xWI+HWeeEXaTf+
 DTkYaaGSsZxWuF/GQSGzqbZFDw==
X-Google-Smtp-Source: ADUXVKK/7GnprYPizKxwXNjMn6e+pTuJw6KWAN/8AI+W6Ya5uRpJbP58qbZn/vhfpDPfzEJ4DiycEQ==
X-Received: by 2002:a6b:208a:: with SMTP id
 g132-v6mr12910858iog.216.1527547117408; 
 Mon, 28 May 2018 15:38:37 -0700 (PDT)
Received: from zebian (cbl-45-2-119-34.yyz.frontiernetworks.ca. [45.2.119.34])
 by smtp.googlemail.com with ESMTPSA id
 j63-v6sm7336878itb.2.2018.05.28.15.38.35
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Mon, 28 May 2018 15:38:36 -0700 (PDT)
From: Noam Postavsky <npostavs@HIDDEN>
To: Brian Wagner <brian.at.mixer@HIDDEN>
Subject: Re: bug#31304: Crashing when lots of document visible at once
References: <CA+x9urahZvByfAzGEdN6mAtuMnGx5qsGT-ixoWkiVMqNVobMZQ@HIDDEN>
Date: Mon, 28 May 2018 18:38:34 -0400
In-Reply-To: <CA+x9urahZvByfAzGEdN6mAtuMnGx5qsGT-ixoWkiVMqNVobMZQ@HIDDEN>
 (Brian Wagner's message of "Sat, 28 Apr 2018 15:54:09 -0400")
Message-ID: <874lire785.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -1.7 (-)
X-Debbugs-Envelope-To: 31304
Cc: 31304 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.7 (--)

tags 31304 + moreinfo
found 31304 25.3
quit

Brian Wagner <brian.at.mixer@HIDDEN> writes:

> Repeatable bug, caused when GTerm is zoomed out far, and I try to navigate
> my file. Running on 2K screen, when I try to make use of the
> high-resolution, I get dumped back to the terminal.

How big is the terminal in lines x columns?

> Running from command line, not X11.
>
> Fatal error 11: Segmentation fault
> Backtrace:
> 0x4b0354 <???> at
> 0x49446c <???> at
> 0x4b0058 <???> at
> 0x4b173b <???> at
> 0x801966934 <pthread_sigmask+0x544> at /lib/libthr.so.3
> 0x801965ecf <pthread_getspecific+0xe5f> at /lib/libthr.so.3
> Segmentation fault (core dumped)

Can you build with debug symbols?  We can't really do much with a
backtrace like this.  It's possible this was fixed in version 26; if you
could check with 26.1 (just released) that would be interesting too.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#31304; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 28 Apr 2018 20:27:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Apr 28 16:27:19 2018
Received: from localhost ([127.0.0.1]:42252 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1fCWRD-0006oy-0H
	for submit <at> debbugs.gnu.org; Sat, 28 Apr 2018 16:27:19 -0400
Received: from eggs.gnu.org ([208.118.235.92]:38191)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <brian.at.mixer@HIDDEN>) id 1fCVvI-00062K-1q
 for submit <at> debbugs.gnu.org; Sat, 28 Apr 2018 15:54:20 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <brian.at.mixer@HIDDEN>) id 1fCVvC-0000WI-0M
 for submit <at> debbugs.gnu.org; Sat, 28 Apr 2018 15:54:14 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00,FREEMAIL_FROM,
 HTML_MESSAGE,T_DKIM_INVALID autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:51596)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <brian.at.mixer@HIDDEN>)
 id 1fCVvB-0000WC-Sr
 for submit <at> debbugs.gnu.org; Sat, 28 Apr 2018 15:54:13 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:57389)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <brian.at.mixer@HIDDEN>) id 1fCVvA-0006gU-Ew
 for bug-gnu-emacs@HIDDEN; Sat, 28 Apr 2018 15:54:13 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <brian.at.mixer@HIDDEN>) id 1fCVv9-0000VM-E2
 for bug-gnu-emacs@HIDDEN; Sat, 28 Apr 2018 15:54:12 -0400
Received: from mail-it0-x231.google.com ([2607:f8b0:4001:c0b::231]:38172)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <brian.at.mixer@HIDDEN>)
 id 1fCVv9-0000V1-7a
 for bug-gnu-emacs@HIDDEN; Sat, 28 Apr 2018 15:54:11 -0400
Received: by mail-it0-x231.google.com with SMTP id 19-v6so5614241itw.3
 for <bug-gnu-emacs@HIDDEN>; Sat, 28 Apr 2018 12:54:10 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:from:date:message-id:subject:to;
 bh=R16KbM2Fqw51wN4pL0UNsy9VsfFF6O9a6vfB5BfL+Ys=;
 b=E3P+eHgZIJL8z41rVXj0ZztAWJE7t3FCiULu0tiyFyUVCUei4Oe8TDz4v1vjaAJbT9
 hv/OojY9TonLC70TjXqfs4QPSIuJXH28j0ItaY/rYxCt5uiMtgBmM6VjK1rTPENmo8Te
 Im8vifmrZfvPTPS45e6E/9Q/XGDsD2/rSa5h/qCEZXhPX3wwsSoCeJNh40oagSW93k4w
 6qxT4pnmTpqudlgZIzgdT1I+xvA1/6KKGrnNmHRBa+TIqXlbC4WnWXNA1gdkwNQRMXNy
 4pFvoBvkYadD6/NX6av6Td5c4/+9zV73GAMExjyTaLnWIQcSxAvCI/DQJQYl+1ps5aEi
 0Ptg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:from:date:message-id:subject:to;
 bh=R16KbM2Fqw51wN4pL0UNsy9VsfFF6O9a6vfB5BfL+Ys=;
 b=NRlciMpxrvcgB5Xk1fFgUfUzMFpPcKcsU5uYz+8+HS/9Dwq5ISnxCZrRltDm5kryzL
 uy3YgZK6czckERLRZlepSDj09PrvK3xCX24LfhZ0JSjkic7+rh/a+E8UJFh15UX3NPyI
 K3rCTtgNrjFhIWLqY4o+XU4YPfQrc91evAh/cmnlUsQ5Marns5N2USMznJID5OCab88N
 JWyviX7EhOKcmiOUucyrrrrXCpzXZLnDdehq+K0cNajf80rFCrQv2bLnLhzToAMyXAHt
 DX/hwz2uiAcO2gjgJH+mQhejlZzoU4gyO8yFh0W3MbeXUpAN4ofenlylpNwPHi5p+UOy
 ceiA==
X-Gm-Message-State: ALQs6tBTF47b825jzYr8mlsyfYF4f4sfZuFh48Q+TPWI7netRfoRxRW4
 1Y89fgH0xk0TSQUlBlhpjz7PACXdwKpHamNpGcuZxWwx
X-Google-Smtp-Source: AB8JxZrGopoYtGgF4lFifXNBYrma5huinDOGimqET0HQWHgaXPYijiuzEOSzm5VOw0UO/Fii4pt5vyppwDqwTT4nub0=
X-Received: by 2002:a24:9ac1:: with SMTP id
 l184-v6mr6643581ite.127.1524945249852; 
 Sat, 28 Apr 2018 12:54:09 -0700 (PDT)
MIME-Version: 1.0
Received: by 2002:a4f:9909:0:0:0:0:0 with HTTP; Sat, 28 Apr 2018 12:54:09
 -0700 (PDT)
From: Brian Wagner <brian.at.mixer@HIDDEN>
Date: Sat, 28 Apr 2018 15:54:09 -0400
Message-ID: <CA+x9urahZvByfAzGEdN6mAtuMnGx5qsGT-ixoWkiVMqNVobMZQ@HIDDEN>
Subject: Crashing when lots of document visible at once
To: bug-gnu-emacs@HIDDEN
Content-Type: multipart/alternative; boundary="000000000000eb6593056aedfbf5"
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.0 (----)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Sat, 28 Apr 2018 16:27:17 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

--000000000000eb6593056aedfbf5
Content-Type: text/plain; charset="UTF-8"

Hello!

Repeatable bug, caused when GTerm is zoomed out far, and I try to navigate
my file. Running on 2K screen, when I try to make use of the
high-resolution, I get dumped back to the terminal.

Running from command line, not X11.

Fatal error 11: Segmentation fault
Backtrace:
0x4b0354 <???> at
0x49446c <???> at
0x4b0058 <???> at
0x4b173b <???> at
0x801966934 <pthread_sigmask+0x544> at /lib/libthr.so.3
0x801965ecf <pthread_getspecific+0xe5f> at /lib/libthr.so.3
Segmentation fault (core dumped)

FreeBSD vBSD 11.1-RELEASE FreeBSD 11.1-RELEASE #0 r321309: Fri Jul 21
02:08:28 UTC 2017
root@HIDDEN:/usr/obj/usr/src/sys/GENERIC
amd64

GNU Emacs 25.3.1 (amd64-portbld-freebsd11.0)


Cheers!

--000000000000eb6593056aedfbf5
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><div>Hello!</div><div><br></div><div>Repeatable bug, cause=
d when GTerm is zoomed out far, and I try to navigate my file. Running on 2=
K screen, when I try to make use of the high-resolution, I get dumped back =
to the terminal.</div><div><br></div><div>Running from command line, not X1=
1.</div><div><br></div><div>Fatal error 11: Segmentation fault</div><div>Ba=
cktrace:</div><div>0x4b0354 &lt;???&gt; at</div><div>0x49446c &lt;???&gt; a=
t</div><div>0x4b0058 &lt;???&gt; at</div><div>0x4b173b &lt;???&gt; at</div>=
<div>0x801966934 &lt;pthread_sigmask+0x544&gt; at /lib/libthr.so.3</div><di=
v>0x801965ecf &lt;pthread_getspecific+0xe5f&gt; at /lib/libthr.so.3</div><d=
iv>Segmentation fault (core dumped)</div><div><br></div><div><div>FreeBSD v=
BSD 11.1-RELEASE FreeBSD 11.1-RELEASE #0 r321309: Fri Jul 21 02:08:28 UTC 2=
017=C2=A0 =C2=A0 =C2=A0root@HIDDEN:/usr/obj/usr/src/sys/GE=
NERIC=C2=A0 amd64</div></div><div><br></div><div><div>GNU Emacs 25.3.1 (amd=
64-portbld-freebsd11.0)</div></div><div><br></div><div><br></div><div>Cheer=
s!</div><div><br></div></div>

--000000000000eb6593056aedfbf5--




Acknowledgement sent to Brian Wagner <brian.at.mixer@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#31304; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 28 May 2018 22:45:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.